> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a Field Option

`POST https://api.pagerduty.com/incidents/custom_fields/{field_id}/field_options`

**Deprecated.**

<!-- theme: warning -->
> ### Deprecated
> This endpoint is deprecated and only works for fields on the Base Incident Type. \
> For more flexibility, we recommend using the Incident Types endpoint: \
> [/incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/create-incident-type-custom-field-field-options)

Create a new Field Option for a Custom Field on the Base Incident Type. Field Options may only be created for Fields that have `field_options`. A Field may have no more than 10 enabled options.

Scoped OAuth requires: `custom_fields.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `field_id` | string | yes | The ID of the field. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `field_option` | object | yes |  |
| `field_option.data` | one of: object | yes |  |
| `field_option.data.data_type` | string | yes | (option 1) The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_option.data.value` | string | yes | (option 1) Max length: 100. |
| `field_option.id` | string | yes | The ID of the resource. Read-only. |
| `field_option.type` | string | yes | Read-only. One of: `field_option`. |
| `field_option.updated_at` | string (date-time) | yes | The date/time the object was last updated. Read-only. |
| `field_option.created_at` | string (date-time) | yes | The date/time the object was created at. Read-only. |

Example: Request Example

```json
{
  "field_option": {
    "data": {
      "data_type": "string",
      "value": "production"
    }
  }
}
```

## Response 201

The field option created.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field_option` | object | yes | Same fields as `field_option` above. |

Example: Response Example

```json
{
  "field_option": {
    "id": "PQ9K7I8",
    "type": "field_option",
    "data": {
      "data_type": "string",
      "value": "production"
    },
    "created_at": "2021-06-01T21:30:42Z",
    "updated_at": "2021-06-01T21:30:42Z"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
